% Filename: funcF.m
% This function gives a value of F.
function [val,errflag] = dF_dTau(xdata, lambda, tau)
  if 1e-15>=abs(lambda)
      fprintf(1, 'lambda is invalid!\n');
      val=0;
      errflag=-1;
      return;
  end
  %
  lam2=lambda*lambda;
  tmp=lambda*xdata+tau;
  if 1~=isempty(find(tmp<=0))
      val=0;
      errflag=1;
      return;
  end
  lnTmp=log(tmp);
  tmp1=sum(1./tmp);
  val=sum(lnTmp)*tmp1/(length(xdata)*lam2)-sum(lnTmp./tmp)/lam2-tmp1;
  errflag=0;
end