% Filename: summarize_res.m
%   Ver. 0 (27-Jul-2011)
%%%%%%%%%%
% This program is used to summarize results for a pair of 
% lambda and n obtained by mainbisection_2p_for_simulation.m.
%%%%%%%%%%
% Check for a directory to put output files
dname='Results_dir';
if 7~=exist(dname,'dir')
    error(strcat('Make the directory "',dname,'"'));
end
%
bstr='(lambda, ndata, nsim, ex_rate, p_rate) = (';
num_batch=16; % 16
%
ex_rates=zeros(num_batch,1);
%
% Initialization for summarizing
lambda=2; % 0.25, 0.5, 0.75, 1, 1.25, 1.5, 1.75 or 2.
ndata=15; % 10, 15.
%%%
for batch_i=1:num_batch
    fname=strcat(dname,'\res',num2str(batch_i),'_L',num2str(lambda),'_n',num2str(ndata),'.txt');
    fid=fopen(fname,'r');
    indata=fscanf(fid,[bstr '%f' ',' '%d' ',' '%d' ',' '%f' ',' '%f' ')']);
    fclose(fid);
    ex_rates(batch_i)=indata(4);
end
fprintf(1,'(lambda, ndata, mean, std) = (%f, %d, %f, %f)\n',lambda, ndata, mean(ex_rates),std(ex_rates));

